Bug 1452074 - git-annex not installable, obsoleted by ghc-obsoletes
Summary: git-annex not installable, obsoleted by ghc-obsoletes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-rpm-macros
Version: 26
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-18 09:53 UTC by Till Hofmann
Modified: 2018-05-29 11:43 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:43:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Till Hofmann 2017-05-18 09:53:49 UTC
Description of problem:
Installing git-annex does not install git-annex, but instead installs ghc-obsoletes. Apparently, ghc-obsoletes obsoletes git-annex (or one of its dependencies?)

Version-Release number of selected component (if applicable):
git-annex-0:5.20140717-13.fc26
ghc-obsoletes-0:1.6.19-1.fc26

How reproducible:
always on my system

Steps to Reproduce:
1. On a system without git-annex: dnf --refresh install git-annex

Actual results:
The only package to be installed is ghc-obsoletes.

Expected results:
git-annex is to be installed.

Comment 1 Miroslav Suchý 2017-05-24 16:20:04 UTC
I have the same problem. But this is problem of ghc-obsoletes, which explicitely have this obsolete:

commit 195b0fadb8baa04d390cc25a00239629fc44bdb7 (HEAD -> master, origin/master, origin/f26, origin/HEAD)
Author: Jens Petersen <petersen>
Date:   Thu May 11 12:19:39 2017 +0900

    obsolete git-annex

diff --git a/ghc-rpm-macros.spec b/ghc-rpm-macros.spec
index 03ea774..d695a8d 100644
--- a/ghc-rpm-macros.spec
+++ b/ghc-rpm-macros.spec
@@ -11,7 +11,7 @@
 
 Name:           ghc-rpm-macros
 Version:        1.6.19
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        RPM macros for building Haskell packages for GHC
 
 License:        GPLv3+
@@ -94,6 +94,7 @@ Obsoletes:      ghc-sized-types <= 0.3.4.0, ghc-sized-types-devel <= 0.3.4.0
 # dropped from HP 8.0.2
 Obsoletes:      ghc-cgi < 3001.2.2.2-5, ghc-cgi-devel < 3001.2.2.2-5
 Obsoletes:      ghc-multipart < 0.1.2-5, ghc-multipart-devel < 0.1.2-5
+Obsoletes:      git-annex <= 5.20140717
 %endif
 
 %description -n ghc-obsoletes
@@ -160,6 +161,9 @@ EOF
 
 
 %changelog
+* Thu May 11 2017 Jens Petersen <petersen> - 1.6.19-2
+- obsolete git-annex
+
 * Fri Mar 24 2017 Jens Petersen <petersen> - 1.6.19-1
 - fix haddock generation
 - cabal_configure now outputs Cabal version

Comment 2 Miroslav Suchý 2017-05-24 16:20:57 UTC
Please fix this, otherwise this will break build systems (Copr).

Comment 3 Jens Petersen 2017-05-26 09:06:36 UTC
It is intentional since git-annex no longer builds currently in F26+,
due to too many missing deps.

The fix is basically to retire git-annex, I am afraid.

Or can you explain more?  You need git-annex?
I assume you are unhappy about the lack of repo closure??

Is there is better way of handling this?

Comment 4 Miroslav Suchý 2017-05-26 11:21:07 UTC
‎[11:10] ‎<‎juhp‎>‎ msuchy: how do you want to fix https://bugzilla.redhat.com/show_bug.cgi?id=1452074 ?
‎[11:50] ‎<‎msuchy‎>‎ juhp: well the correct way is to fix git-annex. 
‎[11:50] ‎<‎msuchy‎>‎ if you or mathstuf does not have time for that, then you should announce intent to orphan that package on devel mailing list
‎[11:50] ‎<‎msuchy‎>‎ and hopefully someone else will do that
‎[11:52] ‎<‎msuchy‎>‎ juhp:  and only if no one will take it, you should obsolete it. And it should be obsoleted by fedora-obsolete package btw
‎[11:53] ‎<‎msuchy‎>‎ juhp: and this version has been built sucessfully: https://koji.fedoraproject.org/koji/buildinfo?buildID=843493
‎[11:53] ‎<‎msuchy‎>‎ juhp: and you obsoleted this version as well

Comment 5 Jens Petersen 2017-05-27 13:07:43 UTC
You didn't answer my question: how does it break build systems?


I should have explained my carefully: the old version of git-annex
can't build any more with the new version of ghc we put in F26.
(See the broken deps in the rawhide/f26 repo report.)
To build a new version a lot of new dependencies need to be added
to Fedora and currently noone is stepping up to do that.

Okay I am aware there is an official obsoletes package (I can't
the correct name right now). I will try to move ghc-obsoletes
there later...

Comment 6 Till Hofmann 2017-05-28 09:16:39 UTC
(In reply to Jens Petersen from comment #5)
> 
> Okay I am aware there is an official obsoletes package (I can't
> the correct name right now). I will try to move ghc-obsoletes
> there later...

As Miroslav explained above, the package shouldn't be obsoleted at all (yet). Instead, it should only be orphaned and other packagers should be given the opportunity to pick up the package and do the necessary work. Only if nobody volunteers to pick up the package, then it should be retired, and possibly obsoleted.

Comment 7 Jens Petersen 2017-05-29 07:37:11 UTC
Okay, I asked mathstuf to orphan or retire the package.

How are people hitting this?

Note that the current package in F26 cannot install, due to broken deps.

Comment 8 Miroslav Suchý 2017-05-29 10:00:21 UTC
> how does it break build systems?

Copr is using git-annex. It is using F25. So this will block upgrades of Copr machines to F26.
We will either have to drop the feature, which use git-annex or package or those deps.

Comment 9 Pavel Raiskup 2017-05-29 19:38:42 UTC
I've been able to try git annex 6.2, though F25 only:
https://copr.fedorainfracloud.org/coprs/qulogic/git-annex/builds/

Comment 10 Jens Petersen 2017-05-30 02:36:52 UTC
A number of people on devel list have offered to assist with package reviews
for getting a newer version of git-annex into Fedora.

Comment 11 Miroslav Suchý 2017-06-21 13:46:05 UTC
So git-annex is available in https://copr.fedorainfracloud.org/coprs/petersen/git-annex/
Can you please remove the obsolete now? Otherwise we cannot install that package.

Comment 12 Jens Petersen 2017-06-22 02:13:18 UTC
Thanks Miroslav - I had forgotten to post the copr link here too.
Okay, I can do that.

(BTW you can install it if you give dnf the version.)

I still feel the dnf behaviour is wrong though (see bug 1460424).

Comment 13 Lukas Zapletal 2017-08-01 09:58:41 UTC
Thanks for the COPR, it is an essential tool for me.

Comment 14 Jens Petersen 2017-10-02 02:53:35 UTC
qulogic has been working on getting all the dependencies needed into Fedora,
so hopefully we should have git-annex back in Fedora soon! :-)

Comment 15 Jens Petersen 2017-10-10 07:46:13 UTC
git-annex is now back in Rawhide and should be in F27 too soon.
Next we will work on getting back it into F26 too.

Removing the obsoletes first in ghc-rpm-macros-1.6.50-2.fc28

Comment 16 Fedora Update System 2017-10-20 00:29:38 UTC
ghc-rpm-macros-1.6.50-2.fc27 git-annex-6.20170925-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a1f0519599

Comment 17 Fedora Update System 2017-10-20 00:30:20 UTC
ghc-rpm-macros-1.6.50-2.fc27 git-annex-6.20170925-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a1f0519599

Comment 18 Fedora Update System 2017-10-21 19:25:57 UTC
ghc-rpm-macros-1.6.50-2.fc27, git-annex-6.20170925-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a1f0519599

Comment 19 Fedora Update System 2017-10-25 06:45:55 UTC
git-annex-6.20170925-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fb1ae91f46

Comment 20 Fedora Update System 2017-10-26 04:49:15 UTC
ghc-rpm-macros-1.6.50-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a1f0519599

Comment 21 Fedora Update System 2017-10-27 18:43:32 UTC
ghc-rpm-macros-1.6.50-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a1f0519599

Comment 22 Fedora Update System 2017-11-11 02:54:59 UTC
ghc-rpm-macros-1.6.50-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Jens Petersen 2017-12-10 06:20:56 UTC
Not sure why this is "FailedQA"?

Comment 24 Fedora End Of Life 2018-05-03 07:56:25 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 25 Fedora End Of Life 2018-05-29 11:43:27 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.